/**
 * app下载组件
 * @markliao
 */
import React, {Component} from 'react';
import '../styles/appDownloadBar.scss';

export default class AppDownloadBar extends Component {
    constructor(props) {
        super(props);
        this.handleHideClick = this.handleHideClick.bind(this);
        this.state = {isShowApp: true};
    };

    handleHideClick() {
        this.setState({isShowApp: false});
    };

    render() {
        const isShowApp = this.state.isShowApp;
        if(isShowApp) {
            return (
                <footer className="appDownloadBar">
                    <img className="btn_delete" src={require('../img/btn_delete.png')} alt="" onClick={this.handleHideClick} />
                    <img className="icon_xrj" src={require('../img/icon_xrj.png')} alt=""/>
                    <h4>更多资讯,下载客户端。</h4>
                    <a href="http://www.xinrongnews.com/static/download/download.html">打开下载页</a>
                </footer>
            )
        } else {
            return null;
        }
    };
};