/**
 * 推荐位大图组件
 * @markliao
 */
import React, {Component} from 'react';
import {Link} from 'react-router';
import '../styles/suggestLarger.scss';

export default class SuggestLarger extends Component {
    render() {
        const {txtlong} = this.props;
        return (
            <Link to={{
                pathname: `/details/${txtlong.id}`
            }}>
                <section className="SuggestLarger">
                    <figure>
                        <figcaption>{txtlong.subject}</figcaption>
                        <img src={txtlong.newsImageUrl.split('%')[0]} onError={(e) => {e.target.src=require('../img/bg_error.png')}} alt={txtlong.subject} />
                        <p><cite>{txtlong.source}</cite></p>
                    </figure>
                </section>
            </Link>
        );
    };
};