/**
 * 推荐位小图组件
 * @markliao
 */
import React, {Component} from 'react';
import {Link} from 'react-router';
import '../styles/suggestSmaller.scss';

export default class SuggestSmaller extends Component {
    render() {
        const {txttiny} = this.props;
        return (
            <Link to={{
                pathname: `/details/${txttiny.id}`
            }}>
            <section className="suggestSmaller">
                {txttiny.newsImageUrl?<img src={txttiny.newsImageUrl.split('%')[0]} onError={(e) => {e.target.src=require('../img/bg_error.png')}} alt={txttiny.subject} />:null}
                <figure>
                    <figcaption>{txttiny.subject}</figcaption>
                    <div className="sectionFooter">
                        <cite>{txttiny.source}</cite>
                        <time>{txttiny.time}</time>
                    </div>
                </figure>
            </section>
            </Link>
        );
    };
};