/**
 * 应用根组件数据-状态树数据同步
 * @markliao
 */
import React, {Component, PropTypes} from 'react';
import {connect} from 'react-redux';
import AppDownloadBar from '../components/common/AppDownloadBar';

class App extends Component {
    static propTypes = {
        children: PropTypes.node
    };

    componentDidUpdate() {
        window.scrollTo(0, 0);
    };

    render() {
        const {children} = this.props;
        return (
            <div>
                {children}
                <AppDownloadBar></AppDownloadBar>
            </div>
        );
    };
};

export default connect()(App);