/**
 * 推荐新闻数据状态变更处理
 * @markliao
 */
import {REQUEST_NEWS_RECOMMEND, RECEIVE_NEWS_RECOMMEND} from '../actions/actionTypes';

export function postNewsRecommend(state = {
    isFetching: false,
    items: []
}, action) {
    switch (action.type) {
        case REQUEST_NEWS_RECOMMEND:
            return {...state, isFetching: true};
        case RECEIVE_NEWS_RECOMMEND:
            return {...state, isFetching: false, items: action.posts};
        default:
            return state;
    }
};