/**
 * 动态路由配置表、重定向配置、默认页面配置
 * @markliao
 */
import React from 'react';
import {Route, IndexRoute} from 'react-router';
import App from './containers/App';
import News from './containers/News';

export default
<Route path='/' component={App}>
    <IndexRoute component={News} />
    <Route
        path='news/:catId'
        getComponent={(location, callback) => {
            require.ensure([], function(require) {
                callback(null, require('./containers/News').default);
            }, 'news');
        }}
    />
    <Route
        path='*'
        getComponent={(location, callback) => {
            require.ensure([], function(require) {
                callback(null, require('./components/common/Splash').default);
            }, 'splash');
        }}
    />
</Route>;
